Bug Hunting Session
Bug 119960 - EDITING: Font metrics mixed up for RTL insets in a LTR context in Calc
Summary: EDITING: Font metrics mixed up for RTL insets in a LTR context in Calc
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2018-09-18 16:45 UTC by vaaydayaasra
Modified: 2019-10-14 02:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of an Arabic RTL inset in the middle of LTR text (92.35 KB, image/png)
2018-09-18 16:47 UTC, vaaydayaasra
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vaaydayaasra 2018-09-18 16:45:56 UTC
Description:
In the attached screenshot, I’ve written an English sentence with an Arabic word in the middle on the first row of a Calc sheet. On the second row, I’ve written the same Arabic word (العربية) by itself. The second row looks as it should but on the first row, some of the characters overlap. The same problem occurs if I surround the isolated Arabic word with parentheses, in which case the cell is automatically aligned to the left. I’m using the default font settings, which in my environment are Liberation Sans for Latin text and DejaVu Sans for Arabic. The problem only occurs in Calc, not Writer. 

This problem was first reported for LO 6.0.3.2 on Launchpad at https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1793127 . Another user there confirmed the bug for LO 6.0.3.2 and 6.1.1.2.

Steps to Reproduce:
1. In a LTR Calc cell, write some text in English, then Arabic and then English.


Actual Results:
Some of the letters of the Arabic text overlap.

Expected Results:
Arabic should look the same as in an RTL context.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 vaaydayaasra 2018-09-18 16:47:07 UTC
Created attachment 144988 [details]
Screenshot of an Arabic RTL inset in the middle of LTR text
Comment 2 Buovjaga 2018-10-12 17:40:38 UTC
Did some testing and looks like it appeared with the HarfBuzz implementation in 5.3.
Comment 3 Lior Kaplan 2018-10-12 20:45:01 UTC
Can you also reproduce with 6.1.x or master ?
Comment 4 Buovjaga 2018-10-13 06:21:03 UTC
(In reply to Lior Kaplan from comment #3)
> Can you also reproduce with 6.1.x or master ?

Original report was for 6.1.1. I confirm with master

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: b752a93acff31c824bcec4233a8dd9bee014ca7d
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on 12 October 2018
Comment 5 QA Administrators 2019-10-14 02:27:39 UTC
Dear vaaydayaasra,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug